﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Excel;
using Infragistics.Win.UltraWinGrid;

namespace ExportColumnAlignment
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            foreach (var band in e.Layout.Bands)
            {
                if (band.Index > 0)
                {
                    band.ColHeadersVisible = false;
                }
            }
        }



        private void Form1_Load(object sender, EventArgs e)
        {
            var list = new BindingList<DisplayObject>();

            for (int i = 0; i < 5; i++)
                list.Add(CreateDisplayObject());

            bindingSource1.DataSource = list;

        }

        private DisplayObject CreateDisplayObject(int depth = 0)
        {
            depth++;
            var obj = new DisplayObject();

            if (depth <= 6)
            {
                for (int i = 0; i < 3; i++)
                {
                    var child = CreateDisplayObject(depth);
                    obj.Child.Add(child);
                }
            }

            return obj;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                var workbook = new Workbook(WorkbookFormat.Excel2007);
                var worksheet = workbook.Worksheets.Add("something");
                ultraGridExcelExporter1.Export(ultraGrid1, worksheet);
                workbook.Save(saveFileDialog1.FileName);
            }
        }


    }
}
